/*
 * Copyright 2020 JD.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  https://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package com.joylink5.services.iot.client;

/**
 * The class provides default values for the joylink protocol.
 */
public class JoylinkConstant {

    public static final String TOPIC_SER_KEY_AGENT = "connection_agent";

    public static final String TOPIC_SER_KEY_OTA = "ota";

    public static final String PAYLOAD_DEV_ID = "deviceId";

    public static final String PAYLOAD_MSG_ID = "messageId";

    public static final String PAYLOAD_TIME_STAMP = "timestamp";

    public static final String PAYLOAD_CODE = "code";

    public static final String PAYLOAD_MSG = "message";

    public static final String PAYLOAD_VERSION = "version";

    public static final String PAYLOAD_PROPERTIES = "properties";

    public static final String PAYLOAD_FUNCTIONS = "functions";

    public static final String PAYLOAD_EVENTS = "events";

    public static final String PAYLOAD_THMD = "thing-model";

    public static final String PAYLOAD_THMD_ID = "id";

    public static final String PAYLOAD_THMD_VER = "thing-model-version";

}
