/*
 * Copyright 2020 JD.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  https://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package com.joylink5.services.iot.client;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Annotation class that is used to annotate functions in {@link JoylinkDevice}.
 * Functions annotated must be accessible via corresponding getter and setter
 * methods.
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface JoylinkDeviceFunction {

    /**
     * An optional name can be provided to the annotated function.
     * If not provided, the actual function name will be used.
     *
     * @return the name of the function.
     */
    String name() default "";
}
